        
        var gridOnPage = null;
        
        function buildColumnChooser()
        {
			ccCnt=document.getElementById('colChooserDiv_content')
			ccTit=document.getElementById('colChooserDiv_header');
			ccD=document.getElementById('colChooserDiv');
	          
			ccD.style.left = gridOnPage.MainGrid.style.left;
			ccD.style.top = gridOnPage.MainGrid.style.top
			
			var ccTable = document.getElementById("CCMainTable");
			
			for( column in gridOnPage.Bands[0].Columns )
			{
			if( column != "Node" ) {
				var ColumnName = gridOnPage.Bands[0].Columns[column].HeaderText;
				var ColumnID =  gridOnPage.Bands[0].Columns[column].Id;
				var Column = gridOnPage.Bands[0].Columns[column];
				var isHidden = gridOnPage.Bands[0].Columns[column].Hidden;
				var isGroupBy = Column.IsGroupBy;
				
				var lastRow = ccTable.rows.length;

				// if there's no header row in the table, then iteration = lastRow + 1
				var iteration = lastRow;
				var row = ccTable.insertRow(lastRow);
				row.height = 20;
					
				// checkbox cell
				var cellLeft = row.insertCell(0);
				var chkbx = document.createElement('input');
				chkbx.type = 'checkbox';
				chkbx.id = "cbx||" + ColumnID;
				chkbx.size = 30;
				chkbx.onclick = CCCheckClick;
				cellLeft.width = 25;
				cellLeft.align = "left";				
				cellLeft.appendChild(chkbx);
				cellLeft.disabled = isGroupBy;
				chkbx.checked = (isHidden == true) ? false : true;
					
				// column title cell
				var cellRight = row.insertCell(1);
				cellRight.innerText = ColumnName;
				cellRight.align = "left";
				cellRight.className = Column.HeaderClass;				  
				cellRight.disabled = isGroupBy;

			}
			}
        }
        
        function ShowColumnChooser()
        {          
			ccD.style.visibility = "visible";
			ccD.style.display = "";
	          
			ccCnt.style.visibility = "visible";
			ccCnt.style.display = "";
	          
			ccTit.style.visibility = "visible";
			ccTit.style.display = "";	
        }
        
        function CCCheckClick()
		{

			var chkbx = event.srcElement;
			var colId = chkbx.id;
			var bChecked = chkbx.checked;
			
			var column = igtbl_getColumnById(colId.split("||")[1]);
			column.setHidden(!bChecked);
				
		    var objRequest= new ActiveXObject("Microsoft.XMLHTTP");
			var url = window.document.URLUnencoded + "?Key=" + column.Key + "&State=" + !bChecked;
			objRequest.open("GET", url, true);
			objRequest.send(null);
								
		}

        function CloseColumnChooser()
        {

            ccD=document.getElementById('colChooserDiv');
            ccD.style.display='none';
          
        }
    
        var colChooserDivmousemoveBack,colChooserDivmouseupBack;
        var colChooserDivofsX,colChooserDivofsY;
        function colChooserDivDragDrop(e)
        {
          colChooserDivmousemoveBack=document.body.onmousemove;
          colChooserDivmouseupBack=document.body.onmouseup;
          ox=(e.offsetX==null)?e.layerX:e.offsetX;
          oy=(e.offsetY==null)?e.layerY:e.offsetY;
          colChooserDivofsX=ox; colChooserDivofsY=oy;

          document.body.onmousemove=colChooserDivDragDropMove;
          document.body.onmouseup=colChooserDivDragDropStop;
        }

        function colChooserDivDragDropMove(e)
        {
          el=document.getElementById('colChooserDiv');          
          if (e==null&&event!=null)
          {
            el.style.left=(event.clientX*1+document.body.scrollLeft-colChooserDivofsX)+'px';
            el.style.top=(event.clientY*1+document.body.scrollTop-colChooserDivofsY)+'px';
            event.cancelBubble=true;
          }
          else
          {
            el.style.left=(e.pageX*1-colChooserDivofsX)+'px';
            el.style.top=(e.pageY*1-colChooserDivofsY)+'px';
            e.cancelBubble=true;
          }
          if ((event.button&1)==0) colChooserDivDragDropStop();
        }

        function colChooserDivDragDropStop()
        {
          document.body.onmousemove=colChooserDivmousemoveBack;
          document.body.onmouseup=colChooserDivmouseupBack;
        }
